export interface FolderDropManager {
    install(el: HTMLElement, listener: (e: FolderDropManagerEvent) => void): any;
    uninstall(el: HTMLElement, listener: (e: FolderDropManagerEvent) => void): any;
}
export interface FolderDropManagerEvent {
    type: 'read' | 'error' | 'finish';
    file?: FolderDropManagerFile;
    error?: Error;
}
export interface FolderDropManagerFile {
    fullPath: string;
    isDirectory: boolean;
    isFile: boolean;
    entries?: FolderDropManagerFileEntry[];
    isBinary?: boolean;
    content?: string | ArrayBuffer;
    item: FolderDropManagerFileEntry;
    file?: FolderDropManagerFileFile;
}
export interface FolderDropManagerFileFile {
    lastModified: number;
    lastModifiedDate: Date;
    name: string;
    size: number;
    type: string;
}
export interface FolderDropManagerFileEntry {
    fullPath: string;
    isDirectory: boolean;
    isFile: boolean;
    name: string;
}
export interface FolderDropManagerConfig {
    /** if true will read files as array buffer - see property FolderDropManagerFile.content */
    readAs?: 'string' | 'ByteArray' | 'DataURL';
}
export declare function createFolderDropManager(config?: FolderDropManagerConfig): FolderDropManager;
